Macaulay2 » Documentation
Packages » ChainComplexOperations :: sym2
next | previous | forward | backward | up | index | toc

# sym2 -- symmetric square of a chain complex

- Usage:
    `G = sym2 F`
- Inputs:
  - F, a chain complex,
- Outputs:
  - G, a chain complex,

## Description

If tau: F**F \to F**F is the chain map reversing the factors, with appropriate signs, then sym2 F = image(1+tau) = ker(1-tau) = coker(1-tau)

## Ways to use sym2:

- `sym2(ChainComplex)`

## For the programmer

The object sym2 is a method function.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/ChainComplexOperations.m2:326:0.